<?php
namespace Teknisa\FIS\Modules\Acessorias\Utilities;

class Template
{

    private $descricaoDoObjeto;
    private $templateDir;

    function __construct($descricaoDoObjeto, $templateDir) {
        $this->descricaoDoObjeto = $descricaoDoObjeto;
        $this->templateDir       = $templateDir;
    }

    public function build($template) 
    {
        \Twig_Autoloader::register();
        $loader   = new \Twig_Loader_Filesystem($this->templateDir);
        $twig     = new \Twig_Environment($loader, array());
        $template = $twig->loadTemplate($template);
        $file     = $template->render(array("arquivo" => $this->descricaoDoObjeto));
        return $file;
    }

}